Subject: Re: bug#56789: 28.1.90; Emoji composition problems with Harfbuzz 5.0.1-1

From: Simon Pugnet <[email-masked]>
Date: Wed, 27 Jul 2022 14:29:00 +0000

"Robert Pluim" <[email-masked]> writes:

>     Robert> I can reproduce this on archlinux. If I downgrade to
>     harfbuzz 4.4.1-1
>     Robert> the composed sequence displays properly , so it seems
>     like a harfbuzz issue
>     Robert> (or the way weʼre supposed to use the API has changed).
>     In any case I
>     Robert> think this needs to be taken up with the harfbuzz
>     developers.
>
> OK, known issue in harfbuzz, will be fixed in their next release:
>
> <https://github.com/harfbuzz/harfbuzz/issues/3754>
> <https://github.com/harfbuzz/harfbuzz/issues/3755>
>
> Robert

Thank you for looking into that for me, I also just saw these two
issues and was about to let you know!

I'll leave things as-is for now then and I'll let you know what
happens when the update becomes available.

Kind regards,

--
Simon Pugnet
https://www.polaris64.net/